=== debian/changelog ===
golang-github-navidys-tvxwidgets (0.12.1-1) unstable; urgency=medium

  * Initial release (Closes: #1118492)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 28 Nov 2025 12:59:57 +0100
