=== debian/control ===
Source: golang-github-navidys-tvxwidgets
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dr. Tobias Quathamer <toddy@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-gdamore-tcell-dev,
               golang-github-onsi-ginkgo-v2-dev,
               golang-github-rivo-tview-dev,
               golang-gomega-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-navidys-tvxwidgets
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-navidys-tvxwidgets.git
Homepage: https://github.com/navidys/tvxwidgets
XS-Go-Import-Path: github.com/navidys/tvxwidgets

Package: golang-github-navidys-tvxwidgets-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-gdamore-tcell-dev,
         golang-github-onsi-ginkgo-v2-dev,
         golang-github-rivo-tview-dev,
         golang-gomega-dev,
         ${misc:Depends},
Description: extra widgets for tview
 This package provides extra widgets for tview (rich interactive
 widgets for terminal-based UIs in Go).
 .
  * bar chart
  * activity mode gauge
  * percentage mode gauge
  * utilisation mode gauge
  * message dialog (info and error)
  * spinner
  * plot (linechart, scatter)
  * sparkline
