=== debian/watch ===
Version: 5

Template: Github
Owner: navidys
Project: tvxwidgets
